import typescript from '@rollup/plugin-typescript';
import htmlTemplate from 'rollup-plugin-generate-html-template';
import dev from 'rollup-plugin-dev';
import livereload from 'rollup-plugin-livereload';
import copy from 'rollup-plugin-copy';
import svgo from 'rollup-plugin-svgo';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';

export default {
  input: ['example/index.ts'],
  output: {
    dir: 'build-example',
    format: 'umd',
    sourcemap: true,
    name: 'ss_annotator'
  },
  plugins: [
    typescript(), 
    resolve(), // Resolve modules from node_modules
    commonjs(), // Convert CommonJS modules to ES modules
    svgo(),
    htmlTemplate({
      template: 'example/example.html',
      target: 'index.html'      
    }),
    copy({
      targets: [{
        src: 'example/images/**/*', dest: 'build-example/images'
      }]
    }),
    dev('build-example'),
    livereload('build-example')
  ]
};
