import { AnnotatorBaseState } from '../base/AnnotatorBaseState';
import { ITransformMatrix } from '../base/TransformMatrix';

/**
 * Represents a state snapshot of a RectangularBoxAnnotatorBase.
 */
export interface RectangularBoxAnnotatorBaseState extends AnnotatorBaseState {
  /**
   * x coordinate of the top-left corner.
   */
  left: number;
  /**
   * y coordinate of the top-left corner.
   */
  top: number;
  /**
   * Annotator's width.
   */
  width: number;
  /**
   * Annotator's height.
   */
  height: number;
  /**
   * Annotator's rotation angle.
   */
  rotationAngle: number;
  /**
   * Transformation matrix for the marker's visual.
   */
  visualTransformMatrix: ITransformMatrix;
  /**
   * Transofrmation matrix for the marker's container.
   */
  containerTransformMatrix: ITransformMatrix;
}
