/**
 * Represents marker's state (status) in time.
 */
export type AnnotatorState = 'new' | 'creating' | 'select' | 'move' | 'resize' | 'rotate' | 'edit';

/**
 * Represents marker's state used to save and restore state continue annotation in the future.
 */
export interface AnnotatorBaseState {
  /**
   * Annotator's type name.
   */
  typeName: string;
  /**
   * Current editing state/status.
   */
  state: AnnotatorState;
  /**
   * Additional information about the marker.
   * 
   * @since 2.10.0
   */
  notes?: string;
}
